Page MenuHomePhabricator

techblog.wikimedia.org should redirect to blog.wikimedia.org/c/technology
Closed, ResolvedPublic

Description

Currently it only redirect to blog.wikimedia.org.

Event Timeline

Framawiki created this task.Dec 2 2017, 8:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2017, 8:56 AM

Change 394743 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/puppet@production] Redirect techblog.wikimedia.org to blog.wikimedia.org/c/technology

https://gerrit.wikimedia.org/r/394743

Framawiki claimed this task.Dec 2 2017, 9:09 AM

Change 394743 merged by Dzahn:
[operations/puppet@production] Redirect techblog.wikimedia.org to blog.wikimedia.org/c/technology

https://gerrit.wikimedia.org/r/394743

Dzahn added a subscriber: Dzahn.Feb 20 2018, 11:47 PM
[tin:~] $ apache-fast-test T181878 mwdebug1001
...
http://techblog.wikimedia.org
 * 301 Moved Permanently http://blog.wikimedia.org/c/technology
http://techblog.wikimedia.org/
 * 301 Moved Permanently http://blog.wikimedia.org/c/technology

Should be resolved once puppet ran on all appservers and minus caching on different levels.

I tested, deployed and confirmed (on mwdebug1001/1002)

[tin:~] $ curl -vvv https://techblog.wikimedia.org 2>/dev/null| grep moved
<p>The document has moved <a href="https://blog.wikimedia.org/c/technology">here</a>.</p>

Framawiki closed this task as Resolved.Mar 4 2018, 9:44 PM
Framawiki added a subscriber: EddieGP.

Great, thanks @EddieGP and @Dzahn !